Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.impl
Class FacetReferenceImpl

    java.lang.Object
      EReferenceImpl
          org.eclipse.gmt.modisco.infra.facet.impl.FacetReferenceImpl

All Implemented Interfaces:
  FacetReference, FacetStructuralFeature

    public class FacetReferenceImpl

extends EReferenceImpl
implements FacetReference

An implementation of the model object 'Reference'.

The following features are implemented:

- `Value Query`

Method Summary
`ModelQuery` | `basicGetValueQuery()`
`int` | `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` | `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`ModelQuery` | `getValueQuery()`
`void` | `setValueQuery(ModelQuery newValueQuery)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getValueQuery

    public ModelQuery getValueQuery()

  Specified by:
    `getValueQuery` in interface `FacetStructuralFeature`
  Returns:
    the value of the 'Value Query' reference.
  See Also:
    `FacetStructuralFeature.setValueQuery(ModelQuery)`, `FacetPackage.getFacetStructuralFeature_ValueQuery()`

### basicGetValueQuery

    public ModelQuery basicGetValueQuery()

### setValueQuery

    public void setValueQuery(ModelQuery newValueQuery)

  Specified by:
    `setValueQuery` in interface `FacetStructuralFeature`
  Parameters:
    `newValueQuery` - the new value of the 'Value Query' reference.
  See Also:
    `FacetStructuralFeature.getValueQuery()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD